import 'package:fis_jsonrpc/rpc.dart';

import 'base.dart';

abstract class IPatientManager implements IManager {
  /// 创建病人
  ///
  /// 返回 Code
  Future<String?> create(CreatePatientRequest request);

  /// 获取病人分页列表
  Future<PageCollection<PatientDTO>?> getPagedList(PatientPageRequest request);

  /// 获取病人详情
  Future<PatientDTO?> getDetail(String code);

  Future<bool> updatePatientAsync(UpdatePatientRequest request);

  ///设置患者的人群分类
  Future<bool> setCrowdLabelsAsync(
      String patientCode, List<String> carowLabels);
}
